# Inventory

The inventory is a list of hosts Ansible will manage, and how each of those hosts will be configured in term of networking, software and labeling.

## Inventory templates

This repository contains multiple inventory templates, each one adapted to its respective playbook.

`./inventory/hosts.template.yml`

This is the default inventory template, used for most playbooks to manage the k3s setup. It contains the following groups:
 - server
 - agent

The `server` group contains the list of control plane nodes, while the `agent` group contains the list of worker nodes.
